package com.topcoder.web.tc.distance;

/**
 * This enumeration contains the various competition types
 * available for ratings and competition overlap.
 * 
 * @author AdamSelene
 */
public enum CompetitionType {
	/**
	 * Algorithm competition.
	 */
	ALGORITHM,
	/**
	 * Component development competition.
	 */
	DEVELOPMENT,
	/**
	 * Component design competition.
	 */
	DESIGN,
	/**
	 * TopCoder Studio competition (currently unrated).
	 */
	STUDIO,
	/**
	 * Marathon match.
	 */
	MARATHON,
	/**
	 * Assembly competition (currently unrated).
	 */
	ASSEMBLY,
	/**
	 * High-school algorithm competition.
	 */
	HIGHSCHOOL;
}
